---------------------------------------------------------------------------------------------------
--
-- Title       : reg_ck_rst_ce
-- Design      : reg_ck_rst_ce
-- Author      : Fernando
-- Company     : Moraes
--
---------------------------------------------------------------------------------------------------
--
-- File        : reg_ck_rst_ce.vhd
-- Generated   : Mon Apr 17 16:32:35 2006
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {reg_ck_rst_ce} architecture {reg_ck_rst_ce}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;



entity reg_ck_rst_ce is
	 port(
		 clock : in STD_LOGIC;
		 reset : in STD_LOGIC;
		 ce : in STD_LOGIC;
		 datain : in STD_LOGIC_VECTOR(7 downto 0);
		 dataout : out STD_LOGIC_VECTOR(7 downto 0)
	     );
end reg_ck_rst_ce;

--}} End of automatically maintained section

architecture reg_ck_rst_ce of reg_ck_rst_ce is
begin

	process (clock, reset)
	begin
		if reset='1' then dataout <= (others =>'0');
		elsif clock'event and clock='1' then
			if ce='1' then
				dataout <= datain;
			end if;
		end if;
	end process;
	

end reg_ck_rst_ce;
